## HvA LaTeX Report Template
Document template for HvA report.
Main LaTex file: `main.tex`

## Requirements
Required packages:

* LaTeX
* GNU Make (advised)

## Setup
* run `make init` to generate `config.tex` and `.env` files.
Alternative copy `example.config.tex` to `config.tex` and `example.env` to `.env`.
* edit values in config.tex with 

### config.tex
Configuration file for LaTeX, leave value empty if field is not required.

### .env
* document: name of the main latex document, without extension
* publish: name of file to publish to, without extension

## GNU Make
Run `make <option>` in the command line.
Default option for Make is `pdf`.

Options:
* pdf			: generate document as pdf
* publish		: make a copy of pdf with desired name
* watch			: continuous watch for changes 
* clean			: remover regeneratable latex files, except output
* purge			: remove regeneratable latex files
* init			: create `config.tex` and .`env` files
* config		: make clean `config.tex` file
* env			: copy clean `.env` file
* ignore		: add `config.tex` and `.env` to `.gitignore`
* acknowledge	: remove `config.tex` and `.env` from `.gitignore`
